> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List recent Stripe top-up receipts for post-redirect polling



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces/{workspace}/billing/status
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/billing/status:
    get:
      summary: List recent Stripe top-up receipts for post-redirect polling
      operationId: getWorkspaceBillingStatus
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingStatus'
      security:
        - cookieAuth: []
components:
  schemas:
    BillingStatus:
      type: object
      properties:
        workspace:
          type: string
        receipts:
          type: array
          items:
            type: object
            properties:
              checkoutSessionId:
                type: string
              amountMicrousd:
                type: integer
                exclusiveMinimum: true
                minimum: 0
              status:
                type: string
                enum:
                  - pending
                  - succeeded
                  - failed
              entryId:
                type: string
                nullable: true
              createdAt:
                type: string
              updatedAt:
                type: string
            required:
              - checkoutSessionId
              - amountMicrousd
              - status
              - entryId
              - createdAt
              - updatedAt
            additionalProperties: false
      required:
        - workspace
        - receipts
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie

````